<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="yes"/>
<xsl:template match="/">

<QueryData>
	<TickerQuery Name="tc_mail" Force="yes">
		<Query Model="PhotonModel" Type="Mail">
			<Transform>
				<xsl:attribute name="lf">./template/default/IGTicker1_mail.xsl</xsl:attribute>
			</Transform>
		</Query >
	</TickerQuery>


	<xsl:for-each select="NODE">
		<xsl:if test="@TICKSHOW != 'no'">
			<TickerQuery>
				<xsl:attribute name="Name"><xsl:value-of select="@ID"/></xsl:attribute>

				<xsl:choose>
					<xsl:when test="@LTYPE = 'bstk'">
						<Query Model="OTModel" Get="Loc">
							<xsl:attribute name="ID"><xsl:value-of select="@ID"/></xsl:attribute>
							<Transform>
								<xsl:attribute name="lf">./template/default/IGTicker1_<xsl:value-of select="@LTYPE"/>.xsl</xsl:attribute>
								<xsl:attribute name="bf">./template/default/IGTicker1_bcat.xsl</xsl:attribute>
							</Transform>
						</Query >
					</xsl:when>
					<xsl:when test="@LTYPE = 'bwtr'">
						<Query Model="OTModel" Get="Loc" >
							<xsl:attribute name="ID"><xsl:value-of select="@ID"/></xsl:attribute>
							<Transform>
								<xsl:attribute name="lf">./template/default/IGTicker1_<xsl:value-of select="@LTYPE"/>.xsl</xsl:attribute>
								<xsl:attribute name="bf">./template/default/IGTicker1_bcat.xsl</xsl:attribute>
							</Transform>
						</Query >
					</xsl:when>
					<xsl:when test="@TTYPE = 'alert'">
						<Query Model="OTModel" Get="Loc" Age="24" Filter="@STATE == 'new'" Max="10">
							<xsl:attribute name="ID"><xsl:value-of select="@ID"/></xsl:attribute>
							<Transform>
								<xsl:attribute name="lf">./template/default/IGTicker1_<xsl:value-of select="@LTYPE"/>.xsl</xsl:attribute>
								<xsl:attribute name="bf">./template/default/IGTicker1_bcat.xsl</xsl:attribute>
							</Transform>
						</Query >
					</xsl:when>
					<xsl:otherwise>
						<Query Model="OTModel" Get="Loc" Age="24">
							<xsl:attribute name="ID"><xsl:value-of select="@ID"/></xsl:attribute>
							<Transform>
								<xsl:attribute name="lf">./template/default/IGTicker1_<xsl:value-of select="@LTYPE"/>.xsl</xsl:attribute>
								<xsl:attribute name="bf">./template/default/IGTicker1_bcat.xsl</xsl:attribute>
							</Transform>
						</Query >
					</xsl:otherwise>
				</xsl:choose>

			</TickerQuery>
		</xsl:if>
	</xsl:for-each>

</QueryData>

</xsl:template>
</xsl:stylesheet>
